# Submit a new hardware provisioning order for appliances or agents

Endpoint: POST /provisioning/api/v1/orders
Version: 1.0.0
Security: JWTAuthorizer

## Request fields (application/json):

  - `address1` (string)

  - `address2` (string)

  - `applianceType` (string)

  - `attn` (string)

  - `city` (string)

  - `clusterIp` (string)

  - `comments` (array)

  - `companyName` (string)

  - `contactEmail` (string)

  - `contactName` (string)

  - `contactPhone` (string)

  - `customerRefNum` (string)

  - `domain` (string)

  - `dueDate` (string)

  - `endUserAccountNum` (string)

  - `flagged` (boolean)

  - `ha` (boolean)
    True when this order is for an HA pair

  - `interfacesCount` (number)
    Number of interfaces to configure per node

  - `locationName` (string)

  - `nats` (array)

  - `nats.description` (string)
    Description

  - `nats.localCidr` (string)
    Local CIDR

  - `nats.networkCidr` (string)
    Network CIDR

  - `nodeCount` (number)
    Number of nodes needed to fulfill order

  - `nodeName` (string)

  - `nodes` (array)

  - `nodes.dns1` (string)

  - `nodes.dns2` (string)

  - `nodes.interfaces` (array)

  - `nodes.interfaces.dhcp` (boolean)

  - `nodes.interfaces.gateway` (string)

  - `nodes.interfaces.ip` (string)

  - `nodes.interfaces.subnet` (string)

  - `nodes.name` (string)

  - `notes` (string)

  - `orderNum` (number)
    System-wide unique order number

  - `routedNetworks` (string)

  - `siteType` (string)
    Site deployment type
    Enum: "primary", "secondary", "test"

  - `state` (string)

  - `status` (string)
    Order status. API-side holistic validations apply to orders whose status is in provisioning, qa, shipped, delivered, installed, and in production.
    Enum: "new", "gathering info", "pending feedback", "info received", "provisioning", "qa", "shipped", "delivered", "installed", "in production", "archived", "cancelled"

  - `technicalContactEmail` (string)

  - `technicalContactName` (string)

  - `technicalContactPhone` (string)

  - `uid` (string)

  - `zip` (string)


## Response 200 fields
